org.apache.cassandra.db

## Class ColumnSerializer

- java.lang.Object
- - org.apache.cassandra.db.ColumnSerializer

- All Implemented Interfaces:
    IColumnSerializer, ISerializer<IColumn>

      public class ColumnSerializer
      extends java.lang.Object
      implements IColumnSerializer

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ColumnSerializer.CorruptColumnException`

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.io.IColumnSerializer

      `IColumnSerializer.Flag`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COUNTER_MASK`
    `static int` | `COUNTER_UPDATE_MASK`
    `static int` | `DELETION_MASK`
    `static int` | `EXPIRATION_MASK`
    `static int` | `RANGE_TOMBSTONE_MASK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnSerializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Column` | `deserialize(java.io.DataInput dis)` Deserialize from the specified DataInput instance.
    `Column` | `deserialize(java.io.DataInput dis, IColumnSerializer.Flag flag)`
    `Column` | `deserialize(java.io.DataInput dis, IColumnSerializer.Flag flag, int expireBefore)`
    `void` | `serialize(IColumn column, java.io.DataOutput dos)` Serialize the specified type into the specified DataOutput instance.
    `long` | `serializedSize(IColumn column, TypeSizes type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DELETION_MASK

          public static final int DELETION_MASK

      See Also:
        Constant Field Values

    - #### EXPIRATION_MASK

          public static final int EXPIRATION_MASK

      See Also:
        Constant Field Values

    - #### COUNTER_MASK

          public static final int COUNTER_MASK

      See Also:
        Constant Field Values

    - #### COUNTER_UPDATE_MASK

          public static final int COUNTER_UPDATE_MASK

      See Also:
        Constant Field Values

    - #### RANGE_TOMBSTONE_MASK

          public static final int RANGE_TOMBSTONE_MASK

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ColumnSerializer

          public ColumnSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(IColumn column,
                       java.io.DataOutput dos)
                         throws java.io.IOException

      Description copied from interface: `ISerializer`
      Serialize the specified type into the specified DataOutput instance.
      Specified by:
        `serialize` in interface `ISerializer<IColumn>`
      Parameters:
        `column` - type that needs to be serialized
        `dos` - DataOutput into which serialization needs to happen.
      Throws:
        `java.io.IOException`

    - #### deserialize

          public Column deserialize(java.io.DataInput dis)
                             throws java.io.IOException

      Description copied from interface: `ISerializer`
      Deserialize from the specified DataInput instance.
      Specified by:
        `deserialize` in interface `ISerializer<IColumn>`
      Parameters:
        `dis` - DataInput from which deserialization needs to happen.
      Returns:
        the type that was deserialized
      Throws:
        `java.io.IOException`

    - #### deserialize

          public Column deserialize(java.io.DataInput dis,
                           IColumnSerializer.Flag flag)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### deserialize

          public Column deserialize(java.io.DataInput dis,
                           IColumnSerializer.Flag flag,
                           int expireBefore)
                             throws java.io.IOException

      Specified by:
        `deserialize` in interface `IColumnSerializer`
      Throws:
        `java.io.IOException`

    - #### serializedSize

          public long serializedSize(IColumn column,
                            TypeSizes type)

      Specified by:
        `serializedSize` in interface `ISerializer<IColumn>`

Copyright © 2014 The Apache Software Foundation